Index: apps/app_addon_sql_mysql.c
===================================================================
--- apps/app_addon_sql_mysql.c	(revision 587)
+++ apps/app_addon_sql_mysql.c	(working copy)
@@ -195,10 +195,10 @@
 	return set_asterisk_int(chan,varname,add_identifier(identifier_type,data));
 }
 
-static int safe_scan_int( char** data, char* delim, int def ) {
+static int safe_scan_int(char *data, char *delim, int def) {
 	char* end;
 	int res = def;
-	char* s = strsep(data,delim);
+	char* s = strsep(&data, delim);
 	if( s ) {
 		res = strtol(s,&end,10);
 		if (*end) res = def;  /* not an integer */
@@ -260,7 +260,7 @@
 	strsep(&data," "); // eat the first token, we already know it :P 
 
 	resultid_var = strsep(&data," ");
-	connid       = safe_scan_int(&data," ",-1);
+	connid       = safe_scan_int(data," ",-1);
 	querystring  = strsep(&data,"\n");
 
 	if (resultid_var && (connid>=0) && querystring) {
@@ -305,7 +305,7 @@
 	strsep(&data," "); // eat the first token, we already know it :P 
 
 	fetchid_var = strsep(&data," ");
-	resultid    = safe_scan_int(&data," ",-1);
+	resultid    = safe_scan_int(data," ",-1);
 
 	if (fetchid_var && (resultid>=0) ) {
 		if ((mysqlres=find_identifier(resultid,AST_MYSQL_ID_RESID))!=NULL) {
@@ -350,7 +350,7 @@
 
 	int id;
 	strsep(&data," "); // eat the first token, we already know it :P 
-	id = safe_scan_int(&data," \n",-1);
+	id = safe_scan_int(data," \n",-1);
 	if ((mysqlres=find_identifier(id,AST_MYSQL_ID_RESID))==NULL) {
 		ast_log(LOG_WARNING,"Invalid result identifier %d passed in aMYSQL_clear\n",id);
 	} else {
@@ -367,7 +367,7 @@
 	int id;
 	strsep(&data," "); // eat the first token, we already know it :P 
 
-	id = safe_scan_int(&data," \n",-1);
+	id = safe_scan_int(data," \n",-1);
 	if ((mysql=find_identifier(id,AST_MYSQL_ID_CONNID))==NULL) {
 		ast_log(LOG_WARNING,"Invalid connection identifier %d passed in aMYSQL_disconnect\n",id);
 	} else {
